Main Page Alphabetical List Compound List File List Compound Members File Members

# supportpriv.h File Reference

`#include "defines.h"`

Go to the source code of this file.

## Compounds
struct | specialact
## Defines
#define | NR_SPECIALS 5
#define | EAK_EJECT "EAK_EJECT"
#define | EAK_VOLUP "EAK_VOLUP"
#define | EAK_VOLDOWN "EAK_VOLDOWN"
#define | EAK_MUTE "EAK_MUTE"
#define | EAK_SLEEP "EAK_SLEEP"
#define | CONF_HEADER
## Variables
specialact | specialacts [NR_SPECIALS]

## Define Documentation

#define CONF_HEADER

| Value:
    "# LinEAK - Linux support for Easy Access and Internet Keyboards\n" \
    "#  Copyright (c) 2001,2002 Mark Smulders <Mark@PIRnet.nl>\n" \
    "#  http://lineak.sourceforge.net\n" \
    "#\n" \
    "# lineakd configuration file\n" \
    "#\n" \
    "# example key configuration:\n" \
    "# \tplay\t= \"xmms --play-pause\"\n" \
    "# \teject\t= EAK_EJECT\n" \
    "#\n" \
    "# available special actions:\n" \
    "# \tEAK_EJECT\n" \
    "# \tEAK_VOLUP\n" \
    "# \tEAK_VOLDOWN\n" \
    "# \tEAK_MUTE\n" \
    "# \tEAK_SLEEP\n" \
    "#\n" \
    "\n"

#define EAK_EJECT "EAK_EJECT"

#define EAK_MUTE "EAK_MUTE"

#define EAK_SLEEP "EAK_SLEEP"

#define EAK_VOLDOWN "EAK_VOLDOWN"

#define EAK_VOLUP "EAK_VOLUP"

#define NR_SPECIALS 5

## Variable Documentation

specialact specialacts[NR_SPECIALS]`[static]`

| Initial value:
     {
      {EAK_EJECT, "Eject CD-ROM"},
      {EAK_VOLUP, "Increase volume"},
      {EAK_VOLDOWN, "Decrease volume"},
      {EAK_MUTE, "Mute volume"},
      {EAK_SLEEP, "Sleep"}
    }